### function to plot a regression and print the equation on the plot
RegressionOnPlot <- function(x.values,
                    y.values,
                    label.x.cord = 0,
                    label.y.cord = 0,
                    label.size = 1,
                    slope.decimals = 5) {

  model <- lm(y.values ~ x.values)
  abline(model)
  summary.lm(model)
  coef <- summary(model)$coefficients  ## matrix of 8 summary stats for linear model
  intercept <- coef[1] ## y intercept for linear model
  slope <- coef[2] ## 
  p.coef <- coef[8] ## p SampleConcentration for linear model
  r2 <- summary(model)$r.squared  ## r squared of linear model
  print(r2)
  p.coef.round <- round(p.coef,3)  ## clean up p SampleConcentration for text on plot
  if(p.coef<0.005) {p.coef.round<- '<0.005'} ## if p SampleConcentration is less than 0.005 replace w text
  p.coef.round

  x.lim <- range(x.values, na.rm = TRUE)
  y.lim <- range(y.values, na.rm = TRUE)
  
  xtry <- if(label.x.cord == 0) xtry <- x.lim[1] + (x.lim[2]-x.lim[1])*.2 else label.x.cord
  ytry <- if(label.y.cord == 0) ytry <- y.lim[2]*0.9 else label.y.cord

  text(xtry, ytry, paste('y =  ', round(intercept, 2),
      '+', round(slope, slope.decimals), 'x',  "\n",
      'r2 = ', round(r2,2), ',', '  p ', p.coef.round,sep=''),
       cex = label.size)
  
  list(p.coef = p.coef, r2 = r2, intercept = intercept, slope = slope)

  #return(list(p.plot))
}


# on 6/25/2017 changed coords 4 stats print to ref plot limits rather than data range
